
Foreman - Bug #2610

Boot order is set incorrectly on oVirt/RHEV VM's when created with 1.2-RC1

06/04/2013 12:44 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I create VM's in Foreman 1.2-RC1 the boot order is being set to first Hard Disk then Network (PXE).

This has the effect that when setting a host back to build to rebuild it, it just boots back to the OS rather than PXE booting.

Associated revisions

Revision e34f7136 - 06/19/2013 05:16 AM - Dmitri Dolguikh 

fixes #2610 - fixed the boot device order for oVirt VMs created in Foreman

Revision 0cb9ed6f - 06/20/2013 03:41 AM - Dmitri Dolguikh 

fixes #2610 - fixed the boot device order for oVirt VMs created in Foreman

(cherry picked from commit e34f713634a44986695f266ba442f2e07bfaea63)

History

#1 - 06/18/2013 10:27 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 06/19/2013 07:21 AM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/732

#3 - 06/19/2013 07:22 AM - Anonymous

We should probably have network, hd boot order in all VMs?

#4 - 06/19/2013 10:17 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e34f713634a44986695f266ba442f2e07bfaea63.

#5 - 06/20/2013 03:35 PM - Anonymous

Looks like this does fix the issue. Thanks!
